Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkImplicitFunctionToImageStencil Class Reference

`#include <vtkImplicitFunctionToImageStencil.h>`

Inheritance diagram for vtkImplicitFunctionToImageStencil:

[legend]
Collaboration diagram for vtkImplicitFunctionToImageStencil:

[legend]
List of all members.

## Detailed Description

clip an image with a function

Date:
  2002/12/11 14:26:22

Revision:
  1.10

vtkImplicitFunctionToImageStencil will convert a vtkImplicitFunction into a stencil that can be used with vtkImageStencil or with other classes that apply a stencil to an image.

See also:
  vtkImplicitFunction vtkImageStencil vtkPolyDataToImageStencil

Created by:
  - Gobbi, David

CVS contributions (if > 5%):
  - Gobbi, David (79%)
  - Schroeder, Will (9%)
  - Cedilnik, Andy (8%)

CVS logs (CVSweb):
  - .`cxx` (`/Imaging/vtkImplicitFunctionToImageStencil.cxx)`
  - .`h` (`/Imaging/vtkImplicitFunctionToImageStencil.h)`

Tests:
  vtkImplicitFunctionToImageStencil (Tests)

Definition at line 52 of file vtkImplicitFunctionToImageStencil.h.

## Public Types
typedef vtkImageStencilSource | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
virtual void | SetInput (vtkImplicitFunction *)
virtual vtkImplicitFunction * | GetInput ()
virtual void | SetThreshold (float)
virtual float | GetThreshold ()
## Static Public Methods
vtkImplicitFunctionToImageStencil * | New ()
int | IsTypeOf (const char *type)
vtkImplicitFunctionToImageStencil * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkImplicitFunctionToImageStencil ()
| ~vtkImplicitFunctionToImageStencil ()
void | ThreadedExecute (vtkImageStencilData *output, int extent[6], int threadId)
## Protected Attributes
vtkImplicitFunction * | Input
float | Threshold

## Member Typedef Documentation

typedef vtkImageStencilSource vtkImplicitFunctionToImageStencil::Superclass

| Reimplemented from vtkImageStencilSource. Definition at line 56 of file vtkImplicitFunctionToImageStencil.h.

## Constructor & Destructor Documentation

vtkImplicitFunctionToImageStencil::vtkImplicitFunctionToImageStencil | ( |  | ) | `[protected]`

vtkImplicitFunctionToImageStencil::~vtkImplicitFunctionToImageStencil | ( |  | ) | `[protected]`

## Member Function Documentation

vtkImplicitFunctionToImageStencil* vtkImplicitFunctionToImageStencil::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkImageStencilSource.

virtual const char* vtkImplicitFunctionToImageStencil::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImageStencilSource.

int vtkImplicitFunctionToImageStencil::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageStencilSource.

virtual int vtkImplicitFunctionToImageStencil::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImageStencilSource.

vtkImplicitFunctionToImageStencil* vtkImplicitFunctionToImageStencil::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImageStencilSource.

void vtkImplicitFunctionToImageStencil::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImageStencilSource.

virtual void vtkImplicitFunctionToImageStencil::SetInput | ( | vtkImplicitFunction * |  | ) | `[virtual]`

| Specify the implicit function to convert into a stencil.

virtual vtkImplicitFunction* vtkImplicitFunctionToImageStencil::GetInput | ( |  | ) | `[virtual]`

| Specify the implicit function to convert into a stencil.

virtual void vtkImplicitFunctionToImageStencil::SetThreshold | ( | float |  | ) | `[virtual]`

| Set the threshold value for the implicit function.

virtual float vtkImplicitFunctionToImageStencil::GetThreshold | ( |  | ) | `[virtual]`

| Set the threshold value for the implicit function.

void vtkImplicitFunctionToImageStencil::ThreadedExecute | ( | vtkImageStencilData * | output,
|  | int | extent[6],
|  | int | threadId
| ) | `[protected, virtual]`

| Override this method to support clipping with different kinds of objects. Eventually the extent could be split up and handled by multiple threads, but it isn't for now. But please ensure that all code inside this method is thread-safe. Reimplemented from vtkImageStencilSource.

## Member Data Documentation

vtkImplicitFunction* vtkImplicitFunctionToImageStencil::Input`[protected]`

| Definition at line 78 of file vtkImplicitFunctionToImageStencil.h.

float vtkImplicitFunctionToImageStencil::Threshold`[protected]`

| Definition at line 79 of file vtkImplicitFunctionToImageStencil.h.

The documentation for this class was generated from the following file:

- Imaging/vtkImplicitFunctionToImageStencil.h